Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 586099 - need documentation for how people write custom alert notification plugins
need documentation for how people write custom alert notification plugins
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
unspecified
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Deon Ballard
Corey Welton
:
Depends On:
Blocks: jon24-alert-notify
  Show dependency treegraph
 
Reported: 2010-04-26 15:42 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alert example docs (18.60 KB, application/vnd.oasis.opendocument.text)
2010-05-17 15:28 EDT, Deon Ballard
no flags Details
Added comments (19.81 KB, application/vnd.oasis.opendocument.text)
2010-05-20 05:22 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Charles Crouch 2010-04-26 15:42:33 EDT

    
Comment 1 Deon Ballard 2010-05-17 15:27:28 EDT
I have an example alert notification plug-in broken down here:
http://elladeon.fedorapeople.org/jon-drafts/3.0/plugins/example-alert-sender.html

This is an example of a larger chapter on writing server-side plug-ins. 
http://elladeon.fedorapeople.org/jon-drafts/3.0/plugins/writing-serverside-plugins.html
Comment 2 Deon Ballard 2010-05-17 15:28:24 EDT
Created attachment 414642 [details]
alert example docs

The tech review process is easy:

1. Download the attached OpenOffice doc.

2. Make sure that Edit > Changes > Record is selected. (I should have this set to track changes, but make sure in case I forgot.)

3. Read through the file and mark any changes (correct anything that's wrong, add missing information, delete outdated stuff, etc.).

4. When you're done editing, upload the edited OO doc and re-assign to me (dlackey).   

The HTML links in the previous comment show what the real, official docs look like, if you prefer that version. I can also make a PDF.

Changing status to ON_DEV and assigning to Heiko for review.
Comment 3 Heiko W. Rupp 2010-05-20 05:22:41 EDT
Created attachment 415356 [details]
Added comments
Comment 4 Deon Ballard 2010-06-22 12:26:03 EDT
The updated example alert sender docs, with Heiko's edits, are at http://www.redhat.com/docs/en-US/JBoss_ON/2.4/plugins/html/example-alert-sender.html.

Changing to ON_QA.
Comment 5 Corey Welton 2010-07-19 19:50:40 EDT
QA Verified.
Comment 6 Corey Welton 2010-08-12 12:50:05 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.